Bug 432807 - Inkscape insecure temporary file usage in OCAL code
Inkscape insecure temporary file usage in OCAL code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
https://bugs.launchpad.net/fedora/+so...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 10:03 EST by Lubomir Kundrak
Modified: 2009-01-07 13:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 10:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-02-14 10:03:11 EST
Description of problem:

Inkscape uses predictable names for OCAL feed's and thumbnails' temporary files,
which make it possible for a local attacker to overwrite files via symlink attack.
Comment 1 Lubomir Kundrak 2008-02-14 10:06:54 EST
Fixed in inkscape-0.45.1+0.46pre1-4
Comment 3 Lubomir Kundrak 2008-02-14 10:14:02 EST
CVE name was requested.

Note You need to log in before you can comment on or make changes to this bug.